Summary:	A X11 browser interface to Archie
Name:		Xarchie
Version:	2.0.10
Release:	7mdk

Source:		Xarchie2.0.10.tar.bz2
Patch:		Xarchie2.0.10.patch.bz2

License:	Free
Group:		Networking/Other
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	Xaw3d-devel

%description
This is release 2.0 of xarchie, an X browser interface to the Archie
Internet information system.

%prep

%setup -q -n xarchie-2.0.10
%patch

%build
xmkmf -a
%make "CDEBUGFLAGS=%optflags" "XAWLIB=-lXaw3d"

%install
make install DESTDIR=%buildroot
make install.man DESTDIR=%buildroot

install -d %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%{name}):command="xarchie" title="Xarchie" needs="X11" icon="file_transfer_section.png"\
section="Networking/File transfer" 
EOF


%post
%update_menus
 
%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%doc README PROBLEMS
%doc %_prefix/X11R6/man/man1/*
%_prefix/X11R6/bin/xarchie
%_prefix/X11R6/lib/X11/app-defaults/Xarchie
%_menudir/*
%_sysconfdir/X11/app-defaults/Xarchie

%changelog
* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.10-7mdk
- Fix menu entry
- Add missing file

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-6mdk
- Fix menu entry

* Thu Jun 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.10-5mdk
- rebuild

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.10-4mdk
- BuildRequires: Xaw3d-devel
- Add missing man pages
- Spec clean up

* Tue Aug 01 2000  Lenny Cartier <lenny@mandrakesoft.com> 2.0.10-3mdk
- macros
- bm
- menu

* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.10-2mdk
- fix group
- bz2 patch
- fix file list

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for mandrake
